package de.unima.ki.pi2.ptest.aufgabe2.api;

public interface CharCounterX {
	
	/**
	* Parses a text and counts the number of occurrences for each letter.
	*  
	* @param text The text that will be parsed.
	*/
	public void parse(String text);
	
	/**
	* Returns the number of occurrences for a given char.
	* 
	* @param c
	* @return The number of occurrences of the specified char.
	*/
	public int getNumOfChars(char c);	

	/**
	* Returns the two chars with the rarest occurrences in the previously parsed text.
	*  
	* @return An array that contains the rarest char as first element and the second rarest element
	* as second element.
	*/
	public char[] getRareChars();
	
}
